plugins {
    id "org.jetbrains.kotlin.multiplatform"
    id "org.jetbrains.kotlin.plugin.serialization"
}

apply from: "$mppJavaProjectPresetPath"

kotlin {
    sourceSets {
        commonMain {
            dependencies {
                api project(":postssystem.features.common.server")
                api project(":postssystem.features.publication.server")

                api project(":postssystem.features.content.binary.server")
                api project(":postssystem.features.content.text.server")

                api libs.tgbotapi
            }
        }
    }
}
